{% extends "master.twig" %}

{% block title %}{{ article.title }}{% endblock %}

{% block description %}
    {{ article.excerpt|length > 150 ? article.excerpt|slice(0, 150) ~ '...' : article.excerpt }}
{% endblock %}

{% block canonical %}https://sfnw.online/article/{{ article.id }}/{{ article.furl }}{% endblock %}

{% block body %}
    <div class="ten wide computer thirteen wide tablet sixteen wide mobile column" xmlns="http://www.w3.org/1999/html">

        <div class="ui raised segment" id="content-segment">
            <div class="title ui vertically padded middle aligned grid">
                <div class="v-padded center aligned row">
                    <div class="sixteen wide column">
                        <div class="ui toggle checkbox">
                            <input type="checkbox" id="dyslexic-toggle">
                            <label class="darkable">Dyslexia</label>
                        </div>
                        <h1 class="center aligned huge header">{{ article.title }}</h1>
                    </div>
                </div>
                <div class="v-padded center aligned row">
                    <div class="sixteen wide column">
                        <a class="center aligned black-link header"
                           href="/author/{{ article.author.id }}/{{ article.author.furl }}">
                            By {{ article.author.name }}
                        </a>
                    </div>
                </div>
            </div>
            <div class="ui divider"></div>
            <div id="art-body">
                {{ article.body|raw }}
            </div>
        </div>

        <div class="ui raised segment">
            <h3>Comments</h3>

            {% if user is empty %}

                <div class="ui message">
                    <div class="header">
                        Join us!
                    </div>
                    <p>You need to be a user to leave comments. <a class="black-link" href="/register">Register now!</a>
                    </p>
                </div>

            {% elseif user.muted is not empty %}

                <div class="ui negative message">
                    <div class="header">
                        Muted!
                    </div>
                    <p>You have been muted by our staff! Contact us if you believe it to be a mistake.</p>
                </div>

            {% else %}

                <form method="POST" class="ui form" id="comment_form">
                    <div class="ui error message"></div>
                    <textarea name="comment" id="comment" class="form-control" placeholder="Enter your comment" rows="5"></textarea>
                    <div class="ui bottom attached menu">
                        <div class="item char-counter"></div>
                        <button type="submit" name="submit" id="submit" class="ui right floated button item sendmessage" value="Submit">
                            Send
                        </button>
                    </div>

                    <input type="hidden" name="thread" id="thread" value="{{ article.comments }}">
                    <input type="hidden" name="token" id="comment-token" value="{{ token }}">
                </form>
                <br>

            {% endif %}

            <div class="ui comments" id="display_comment"></div>
        </div>

    </div>

    <div id="fixed-buttons">
        <div class="ui massive circular icon button fixed-button" id="info-btn">
            <i class="icon info"></i>
        </div>
        <button class="ui large circular icon button fixed-button" id="tts-btn">
            <i class="ui headphones icon" id="tts-ico"></i>
        </button>
    </div>

    <div class="ui modal">
        <div class="header"><i class="icon circle info"></i> Details</div>
        <div class="content">

            <h2 class="ui header">
                <a href="/author/{{ article.author.id }}/{{ article.author.furl }}" class="ui circular image">
                    <img class="ui circular image" src="{{ article.author.avatar }}"/>
                </a>
                <div class="content">
                    <a href="/author/{{ article.author.id }}/{{ article.author.furl }}" class="black-link">
                        {{ article.author.name }}
                    </a>
                    <div class="sub header">
                        {{ article.date|date("d M Y") }}
                    </div>
                    <div class="sub header">
                        In:
                        <a href="/category/{{ article.category.id }}/{{ article.category.furl }}">{{ article.category.name }}</a>
                    </div>
                </div>
            </h2>

            <div class="ui grid">
                <div class="eight wide column">
                    <div class="ui vertical buttons">
                        <button class="ui disabled left labeled icon button" data-tooltip="Download PDF"
                                data-position="bottom center">
                            <i class="cloud download icon"></i>
                            PDF
                        </button>
                        <button class="ui disabled left labeled icon button" data-tooltip="Download EPUB"
                                data-position="bottom center">
                            <i class="cloud download icon"></i>
                            Epub
                        </button>
                    </div>
                </div>

                <div class="eight wide column">
                    <div class="ui vertical buttons">
                        <button class="ui left labeled icon button shelf-btn" data-tooltip="Add to bookmarks"
                                data-position="bottom center" data-shelf="b" data-article="{{ article.id }}">
                            <i class="{{ check_bookmark(article.id, user.id) ? 'yellow' : '' }} bookmark icon"></i>
                            Bookmark
                        </button>
                        <button class="ui left labeled icon button shelf-btn" data-tooltip="Add to favourites"
                                data-position="bottom center" data-shelf="f" data-article="{{ article.id }}">
                            <i class="{{ check_favourite(article.id, user.id) ? 'red' : '' }} heart icon"></i>
                            Favourite
                        </button>
                    </div>
                </div>
            </div>

            <div class="ui horizontal divider">TAGS</div>

            {% for tag in article.tags %}
                <a class="ui tag label s-tag" href="/tag/{{ tag.id }}/{{ tag.furl }}">{{ tag.name }}</a>
            {% endfor %}
        </div>
    </div>

    <div id="token" data-token="{{ token }}" style="display: none"></div>

    <script async src="{{ asset('assets/js/shelves.min.js') }}"></script>
    <script async src="{{ asset('assets/js/comments.min.js') }}"></script>
    <script defer src="{{ asset('assets/js/article.min.js') }}"></script>

    <script type="text/javascript">
        // Report comment
        function reportComment(id) {
            var ajax = $.ajax({
                type: 'post',
                url: '/backend/internal_api/report.php',
                data: {
                    id: id
                }
            });

            ajax.fail(function (data) {
                msg = 'E:: ' + data;
            });

            ajax.done(function (data) {
                msg = 'S:: ' + data;
            });

            ajax.always(function (data) {
                toastr.success("The comment will be reviewed by our staff!", "Success!");
                loadComments('ASC')
            });
        }
    </script>

{% endblock %}
